curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentResult": {
"status": "active",
"assessmentLineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}To create an Assessment Result. The responding system must return the set of sourcedIds that have been allocated to the newly created assessmentResult record. An Assessment Line Item sourcedId and Student sourcedId MUST be provided when creating an assessmentResult.
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentResult": {
"status": "active",
"assessmentLineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Represents an assessment result.
Show child attributes
Assessment result successfully created
Show child attributes